import { DataAnnotationDisplayMode } from "./DataAnnotationDisplayMode";
import { IgxDataAnnotationRangeLayerComponent } from "./igx-data-annotation-range-layer-component";
import { DataAnnotationPointLayer } from "./DataAnnotationPointLayer";
import * as i0 from "@angular/core";
/**
 * Represents a base of annotation layers that render shapes at locations of x/y values mapped to these properties:
 * StartValueXMemberPath
 * StartValueYMemberPath
 * EndValueXMemberPath
 * EndValueYMemberPath
*/
export declare abstract class IgxDataAnnotationPointLayerComponent extends IgxDataAnnotationRangeLayerComponent {
    /**
                                 * @hidden
                                 */
    get i(): DataAnnotationPointLayer;
    constructor();
    /**
     * Gets or sets name of data column with x-positions for the start of annotations.
    */
    get startValueXMemberPath(): string;
    set startValueXMemberPath(v: string);
    /**
     * Gets or sets name of data column with y-positions for the start of annotations.
    */
    get startValueYMemberPath(): string;
    set startValueYMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the start of annotations on x-axis.
    */
    get startLabelXMemberPath(): string;
    set startLabelXMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the start of annotations on y-axis.
    */
    get startLabelYMemberPath(): string;
    set startLabelYMemberPath(v: string);
    /**
     * Gets or sets display mode of label in the start annotation on x-axis.
    */
    get startLabelXDisplayMode(): DataAnnotationDisplayMode;
    set startLabelXDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_startLabelXDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets display mode of label in the start annotation on y-axis.
    */
    get startLabelYDisplayMode(): DataAnnotationDisplayMode;
    set startLabelYDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_startLabelYDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets name of data column with x-positions for end of annotation.
    */
    get endValueXMemberPath(): string;
    set endValueXMemberPath(v: string);
    /**
     * Gets or sets name of data column with y-positions for end of annotation.
    */
    get endValueYMemberPath(): string;
    set endValueYMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the end of annotations on x-axis.
    */
    get endLabelXMemberPath(): string;
    set endLabelXMemberPath(v: string);
    /**
     * Gets or sets mapping custom label at the end of annotations on y-axis.
    */
    get endLabelYMemberPath(): string;
    set endLabelYMemberPath(v: string);
    /**
     * Gets or sets display mode of label at the end annotation on x-axis.
    */
    get endLabelXDisplayMode(): DataAnnotationDisplayMode;
    set endLabelXDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_endLabelXDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets display mode of label at the end annotation on y-axis.
    */
    get endLabelYDisplayMode(): DataAnnotationDisplayMode;
    set endLabelYDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_endLabelYDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets mapping custom label between start and end of data annotations on x-axis.
    */
    get centerLabelXMemberPath(): string;
    set centerLabelXMemberPath(v: string);
    /**
     * Gets or sets mapping custom label between start and end of data annotations on y-axis.
    */
    get centerLabelYMemberPath(): string;
    set centerLabelYMemberPath(v: string);
    /**
     * Gets or sets display mode of label in the center annotation on x-axis.
    */
    get centerLabelXDisplayMode(): DataAnnotationDisplayMode;
    set centerLabelXDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_centerLabelXDisplayMode: DataAnnotationDisplayMode | string;
    /**
     * Gets or sets display mode of content in the center annotation on y-axis.
    */
    get centerLabelYDisplayMode(): DataAnnotationDisplayMode;
    set centerLabelYDisplayMode(v: DataAnnotationDisplayMode);
    static ngAcceptInputType_centerLabelYDisplayMode: DataAnnotationDisplayMode | string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDataAnnotationPointLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxDataAnnotationPointLayerComponent, "ng-component", never, { "startValueXMemberPath": "startValueXMemberPath"; "startValueYMemberPath": "startValueYMemberPath"; "startLabelXMemberPath": "startLabelXMemberPath"; "startLabelYMemberPath": "startLabelYMemberPath"; "startLabelXDisplayMode": "startLabelXDisplayMode"; "startLabelYDisplayMode": "startLabelYDisplayMode"; "endValueXMemberPath": "endValueXMemberPath"; "endValueYMemberPath": "endValueYMemberPath"; "endLabelXMemberPath": "endLabelXMemberPath"; "endLabelYMemberPath": "endLabelYMemberPath"; "endLabelXDisplayMode": "endLabelXDisplayMode"; "endLabelYDisplayMode": "endLabelYDisplayMode"; "centerLabelXMemberPath": "centerLabelXMemberPath"; "centerLabelYMemberPath": "centerLabelYMemberPath"; "centerLabelXDisplayMode": "centerLabelXDisplayMode"; "centerLabelYDisplayMode": "centerLabelYDisplayMode"; }, {}, never, never>;
}
